Skip to content
DELETE /unified/ticketing/collections/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

etagstring

The unique identifier for the specific version of the resource.

2 supported2 required
Microsoft 365
required
Microsoft Planner
required
typestring

The type of the collection

Possible values:
epicmilestoneprojectsectiontasklist
3 supported3 required
Pivotal Tracker
required
projectepic
Todoist
required
projectsection
Zoho Projects
required
tasklistmilestone
organizationobject
1 supported
Zoho Projects
supported
idstring
required·

The unique identifier for a organization.

workspaceobject
References: Workspaces → id
1 supported1 required
Zoho Projects
required
idstring
required·

The unique identifier for a workspace

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for a collection

2 supported
Todoist
supported
Wrike
supported
created_atstring · date-time

The date and time when the collection was created

1 supported
Wrike
supported
descriptionstring

The description of the collection

1 supported
Wrike
supported
entity_typestring

The type of entity that belongs to this collection

Possible values:
contactticket
etagstring

The unique identifier for the specific version of the resource.

namestring

The name of the collection

1 supported
Wrike
supported
parent_collection_idstring

The parent collection id

References: Collections → id
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The type of the collection

updated_atstring · date-time

The date and time when the collection was updated

1 supported
Wrike
supported
urlsobject[]

The URLs of the collection

1 supported
Wrike
supported
urlstring

The URL of the collection

workspaceobject
References: Workspaces → id
idstring

The unique identifier for a workspace

namestring

The name of the workspace

curl -X DELETE 'https://api.truto.one/unified/ticketing/collections/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/collections/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/collections/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'ticketing',
  'collections',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "ticketing",
        "collections",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())